# vim: set ts=4 sw=4 et:

%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           python-mygpoclient
Version:        1.5
Release:        1.2
Summary:        Python Interface to my.gpodder.org Web Services
Source:         http://thpinfo.com/2010/mygpoclient/mygpoclient-%{version}.tar.gz
URL:            http://thpinfo.com/2010/mygpoclient/
Group:          Development/Libraries/Python
License:        GNU General Public License version 3 (GPL v3)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  python python-devel
Requires:       python-simplejson
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif
%py_requires

%description
The mygpoclient library allows developers to utilize a Pythonic interface to
the my.gpodder.org web services. This page provides the public place for
downloading source releases of the library.




Authors:
--------
    Thomas Perl <thp@gpodder.org>

%prep
%setup -q -n "mygpoclient-%{version}"

%build
%__python ./setup.py build

%install
%__python ./setup.py install \
    --prefix="%{_prefix}" \
    --root="%{buildroot}" \
    --record-rpm=files.lst

%clean
%__rm -rf "%{buildroot}"

%files -f files.lst
%defattr(-,root,root)
%doc COPYING AUTHORS README

%changelog
* Mon Dec 20 2010 pascal.bleser@opensuse.org
- update to 1.5 "The Hunting Party":
  * bugfix release that contains corrections and improvements to the current feature set based on bug reports
* Fri Jun  4 2010 pascal@links2linux.de
- update to 1.4
* Mon Feb  8 2010 pascal@links2linux.de
- initial package (1.0)
